<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;

require_once("lib/frole.php");
$role = new Role();
$process = false;
$plotheigh = 0;
$outtable = '';
$outhead = '';
if(isset($user->uuid)){
	$roles = $role->getRoles($user->uuid);
	if(is_array($roles)){
		foreach($roles as $role){
			if($role == 'dean'){
				$process = true;
				break;
			}
		}	
	}
}

if(!$process){
	$h1 = "Доступ запрещен";
	$content = "Для получения доступа обратитесь к администратору";
}else{
	$h1 = "Информационно-аналитическая система для директоров институтов и филиалов, деканов факультетов";
	$content = '';
	$list = '';
	require_once("lib/fconnect.php");
	$db = DBConnect::getInstance();
	$a = $db->colRules->find(array('actors'=>$user->uuid));
	foreach($a as $v){
		foreach($v['objects'] as $uuid){
			if($uuid != 'chair'){
				$docs = $db->colDocs->find(array('type'=>'faculty', 'uuid' => $uuid));
				foreach($docs as $doc){
					$list .= '<button class="btn btn-info" name="fak" value="'.$doc['uuid'].'">'.$doc['title_ru'].'</button>';
				}
			}
		}
	}
	
	if($list != ''){
		$list = '<h4>Выберите подразделение</h4>
	<form action="" method="post">'.$list.'</form>';
	}else{
		$list = '<h4>Нет доступа к просмотру подразделений. Обратитесь к администратору.</h4>';
	}
	if(!isset($_POST['fak'])){
		$content .= $list;
	}
	
	//var_dump($list);
	if(isset($_POST['fak'])){
		
		$fak = $db->colDocs->findOne(array('type'=>'faculty', 'uuid' => $_POST['fak']));
		$what = array('type'=>'chair','parent'=>$_POST['fak']);
		$i=0;
		$plotcolor = '#B29162';
		$heading = $fak['title_ru'];
		$form = '
		<h4>Для вывода сравнительных графиков выберите раздел, затем показатель</h4>
	<form action="#container" method="post">
	<input type="hidden" name="fak" value="'.$_POST['fak'].'">';
	
		$params = $db->colModel->findOne( array('name'=>'chair'));
		foreach($params['items'] as $item){
			if(isset($item['pdf']) && $item['pdf']){
				if(isset($item['type'])){
					if($item['type'] == 'section'){
						if($i == 0){
							$i++;
							$form .= '
							<section id="id'.$i.'">
							<h2><a href="#id'.$i.'">Раздел '.$i.': '.$item['label_ru'].'</a></h2>
							<div>
							';
						}else{
							$i++;
							$form .= '
		</div>
	</section>
	<section id="id'.$i.'">
		<h2><a href="#id'.$i.'">Раздел '.$i.': '.$item['label_ru'].'</a></h2>
		<div>
						';
						}
					}
					elseif($item['type'] == 'subsection'){
						$subtext = $item['label_ru'];
					}
					else{
						$form .= '<button class="item btn"  name="item" value="'.$item['name'].'">'.$subtext.' '.$item['label_ru'].'</button>';
					
							//$button = '<a href="?item='.$item['name'].$mode.'&fak='.$fak.'#container" class="bt gray">'.$faktitle.'</a>';
							//'.$subtext.' '.$item['label_ru'].'	</li>';
					}
					if(isset($_POST['item']) && $_POST['item']==$item['name']){
						$title = addcslashes($subtext.' '.$item['label_ru'], "'");
						$title = addcslashes($title, '"');
						if($item['accumulative']){
							$accFlag = true; $description ='накопительный параметр';}else{$accFlag = false;$description ='ненакопительный параметр';}
					}
				}
			}
		}
		$form .= '
		</div>
	</section>';
		$form .='</form>';
		$content .= '<h3>'.$heading.'</h3>';
		$content .= $form;
		$docs = $db->colDocs->find($what);
		if(isset($accFlag)){
		if($accFlag){
			foreach($docs as $doc){
				if(isset($doc[$_POST['item']])){
				$data['pure'][$doc['uuid']] = round((float)$doc[$_POST['item']],3);
				//$data['k100'][$doc['title_ru']] = (float)$doc[$_GET['item']];
				}
			}
		}else{
			foreach($docs as $doc){
				
				$data['pure'][$doc['uuid']] = 0;
				foreach($doc['versions'] as $version){
					if(isset($version['content'][$_POST['item']])){
						$data['pure'][$doc['uuid']] += round((float)$version['content'][$_POST['item']],3);
					}
				}	
				if(isset($doc[$_POST['item']])){
					$data['pure'][$doc['uuid']] += (float)$doc[$_POST['item']];
				}
			}
		}
		arsort($data['pure']);
		
		foreach($data['pure'] as $key => $value){
			$chair = $db->colDocs->findOne(array('uuid'=>$key));
			if(!isset($periods)){
				$periods = count ($chair['versions']) + 1;
				$periodCells = '';
				for($i=1;$i<=$periods;$i++){
					$periodCells .= '<td><b>'.$i.'</b></td>';
				}
			}
			$titlesArr[] = "'".$chair['title_ru']."'";
			$verCells = '';
			foreach($chair['versions'] as $version){
				if(isset($version['content'][$_POST['item']])){
					$verCells .='<td>'.$version['content'][$_POST['item']].'</td>';
				}
			}
			$tableArr[]= '<tr>
			<td>'.$chair['title_ru'].'</td>'.$verCells.'<td>'.$chair[$_POST['item']].'</td>
			</tr>';
			$valuesArr[] = $value;
		}
		
		$plotheight = 200 + 60*count($valuesArr).'px';

$titles = implode(', ', $titlesArr);
$values = implode(', ', $valuesArr);

$outtable = '<table id="tdata">
<tr><th></th><th colspan="'.$periods.'">периоды</th></tr>
<tr><td><b>'.$title.'</b></td>'.$periodCells.'</tr>
'.implode(' ', $tableArr).'
</table>';
$outhead = "

<script>
$(function () {
    $('#container').highcharts({
        exporting:{
			enabled: false
		},
		chart: {
            type: 'bar'
        },
        colors:['".$plotcolor."'],
        title: {
            text: '".$heading."'
        },
        subtitle: {
            text: '".$title."(".$description.")'
        },
        xAxis: {
            categories: [".$titles."],
                title: {
                text: null
            },
            labels: {
                overflow: 'justify',
                 style: {
                 fontSize: '12px',
            color: '#000'
         }
            }
            
        },
        yAxis: {
            min: 0,
            title: {
                text: '',
                align: 'high'
            },
                
            labels: {
                overflow: 'justify',
                 style: {
                 fontSize: '15px',
            color: '#000'
         }
            }
        },
        tooltip: {
            valueSuffix: ''
        },
        plotOptions: {
            bar: {
                dataLabels: {
                    enabled: true
                }
            }
        },
        legend: {
            layout: 'vertical',
            enable: false,
            align: 'right',
            verticalAlign: 'bottom',
            x: -40,
            y: 100,
            floating: true,
            borderWidth: 1,
            backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
            shadow: true
        },
        credits: {
            enabled: false
        },
        series: [{
            name: 'значения',
            data: [".$values."]
        }]
    });
});
</script>
";
	
}
	
	}
}
        
?><!DOCTYPE HTML>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title><?=$h1?></title>
<link rel="stylesheet" href="/css/jquery-ui.css" />
<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<script src="/js/highcharts/highcharts.js"></script>
<script src="/js/highcharts/highcharts-more.js"></script>
<script src="/js/highcharts/modules/exporting.js"></script>


<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<!--link rel="stylesheet" href="/css/admin.css" /-->
<!--link rel="stylesheet" href="/css/navigation__horizontal.css" /-->

  <script src="/js/auth.js"></script>
  
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
  
<?=$outhead?>
<style>
a.scrolltotop{position:fixed; bottom:30px; right:30px;	}
h3{margin-top:40px;}
button.item{	  margin:3px 10px;	  width:400px;	  min-height:50px;	  vertical-align:top;	 }
table#tdata{width:90%}
table#tdata, table#tdata td{border:1px solid #ccc;padding:2px 5px;margin:30px; text-align:center;}
.header_h{width:750px;font-size:1.2em; color:white;}

body
{
	padding: 0;
	margin: 0;
}   

section 
{
	display: block;
} 

.accordion
{
	background-color: #eee;
 	border: 1px solid #ccc;
	width: 95%;
	padding: 10px;	
	margin: 50px auto;
	
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	
	-moz-box-shadow: 0 1px 0 #999;
	-webkit-box-shadow: 0 1px 0 #999;
	box-shadow: 0 1px 0 #999;
}
 
.accordion section 
{
 	border-bottom: 1px solid #ccc;
	margin: 5px;
	
	background-color: #fff;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#eee));
    background-image: -webkit-linear-gradient(top, #fff, #eee);
    background-image:    -moz-linear-gradient(top, #fff, #eee);
    background-image:     -ms-linear-gradient(top, #fff, #eee);
    background-image:      -o-linear-gradient(top, #fff, #eee);
    background-image:         linear-gradient(top, #fff, #eee);
  
  	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

.accordion h2,
 .accordion p
{
	margin: 0;
	
}

.accordion p
{
	padding: 10px;
}
 
.accordion h2 a 
{
	display: block;
	position: relative;
	font: 16px/1 'Trebuchet MS', 'Lucida Sans';
	padding: 10px;
	
	text-decoration: none;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

.accordion h2 a:hover 
{
	background: #fff;
}
 
.accordion h2 + div 
{
	height: 0;
	overflow: hidden;
	-moz-transition: height 0.3s ease-in-out;
	-webkit-transition: height 0.3s ease-in-out;
	-o-transition: height 0.3s ease-in-out;
	transition: height 0.3s ease-in-out;	
}

.accordion :target h2 a:after 
{  
    content: '';
	position: absolute;
	right: 10px;
	top: 50%;
	margin-top: -3px;
	border-top: 5px solid #333;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;	
}

.accordion :target h2 + div 
{
	height: auto;
}
#id1{
	display:none;
	}
</style>
<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>
	<A class="scrolltotop btn btn-info" href="javascript:void(0)"
   onclick="scroll(0,0)">вверх</A>
<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header_h">
      <?=$h1?>
    </h3>
  </div>
  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>
  <div class="header__helper"></div>
</header>
<!-- CURRENT PAGE -->
<div class="accordion">
	<?=$content?>
	<p><b>График обновится при выборе другого показателя!</b></p>
	<div id="container" style="min-width: 900px; max-width: 1200px; height: <?=$plotheight?>; margin: 0 auto"></div>
	<div id="data"><?=$outtable?></div>
</div>


</body>
</html>
